package com.gic.haoban.manage.api.dto.qdto.licence;

import com.gic.api.base.commons.BasePageInfo;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author jx
 * @since 2023-03-09
 */

public class LicenceOrderPageQDTO extends BasePageInfo implements Serializable  {

    private static final long serialVersionUID = 1L;

    /**
     * 订单编号
     */
    private String orderNumber;

    /**
     * 订单状态，0：待支付，1：已支付，2：已取消，3：已过期，4：已退款，5：审核中
     */
    private Integer orderStatus;

    /**
     * 企业微信订单id
     */
    private String qywxOrderId;

    /**
     * 企业微信订单状态，0：待支付，1：已支付，2：已取消，3：已过期，4：退款中，5：退款被拒绝，6：已退款，7已失效
     */
    private Integer qywxOrderStatus;

    /**
     * 订单创建开始时间
     */
    private String startTime;
    /**
     * 订单创建结束时间
     */
    private String endTime;
    /**
     * gic商户Id
     */
    private String enterpriseId;

    /**
     * wx企业Id
     */
    private String wxEnterpriseId;
    /**
     * 创建人名称
     */
    private String creatorName;
    /**
     * 支付方式 1在线支付 2对公转账
     */
    private Integer payType;
    /**
     * gic商户查询id
     */
    private String enterpriseIdParam;
    /**
     * 微信订单id
     */
    private String wxOrderId;
    /**
     * 1 好办后台 0 运维后台
     */
    private Integer type;
    /**
     * 订单类型，1：购买帐号，2：续期帐号
     */
    private Integer orderType;

    public Integer getOrderType() {
        return orderType;
    }

    public void setOrderType(Integer orderType) {
        this.orderType = orderType;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getWxOrderId() {
        return wxOrderId;
    }

    public void setWxOrderId(String wxOrderId) {
        this.wxOrderId = wxOrderId;
    }

    public String getEnterpriseIdParam() {
        return enterpriseIdParam;
    }

    public void setEnterpriseIdParam(String enterpriseIdParam) {
        this.enterpriseIdParam = enterpriseIdParam;
    }

    public Integer getPayType() {
        return payType;
    }
    public void setPayType(Integer payType) {
        this.payType = payType;
    }
    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getCreatorName() {
        return creatorName;
    }

    public void setCreatorName(String creatorName) {
        this.creatorName = creatorName;
    }

    public String getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    public Integer getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(Integer orderStatus) {
        this.orderStatus = orderStatus;
    }

    public String getQywxOrderId() {
        return qywxOrderId;
    }

    public void setQywxOrderId(String qywxOrderId) {
        this.qywxOrderId = qywxOrderId;
    }

    public Integer getQywxOrderStatus() {
        return qywxOrderStatus;
    }

    public void setQywxOrderStatus(Integer qywxOrderStatus) {
        this.qywxOrderStatus = qywxOrderStatus;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }
}
